Skip to main content
`Ctrl`+`K`

# TSARKIMEXARS443

Third order ARK IMEX scheme, [ARS97] This method has one explicit stage and four implicit stages.

## Options Database Key

- -ts_arkimex_type ars443 - set arkimex type to ars443

## Notes

This method is referred to as ARS(4,4,3) in https://arxiv.org/abs/1110.4375

## References

[ARS97]

U.M. Ascher, S.J. Ruuth, and R.J. Spiteri. Implicit-explicit Runge-Kutta methods for time-dependent partial differential equations. Applied Numerical Mathematics, 25:151–167, 1997.

## See Also

TS: Scalable ODE and DAE Solvers, `TSARKIMEX`, `TSARKIMEXType`, `TSARKIMEXSetType()`

## Level

advanced

## Location

src/ts/impls/arkimex/arkimex.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages